./multimedia/gst-plugins1-libav, GStreamer libav/ffmpeg plugin

[ CVSweb ] [ Homepage ] [ RSS ] [ Required by ] [ Add to tracker ]


Branch: CURRENT, Version: 1.12.3nb1, Package name: gst-plugins1-libav-1.12.3nb1, Maintainer: pkgsrc-users

This module contains a GStreamer plugin for FFmpeg.


Required to run:
[multimedia/gstreamer1] [multimedia/ffmpeg3]

Master sites:

SHA1: 6816850a9927d61b8f85ba1cb9a50d0050221dd7
RMD160: 66c3e475b9e4f5bdf5d356ceee1f4072d61ca949
Filesize: 8585.668 KB

Version history: (Expand)


CVS history: (Expand)


   2017-11-18 00:21:06 by Patrick Welche | Files touched by this commit (3)
Log message:
gst-plugins1-libav: fix mp4 playback

From Jana Saout in https://bugzilla.gnome.org/show_bug.cgi?id=789193

Not meant as "fix" but as temporary workaround for people bothered
by this issue:

This quick & dirty hack replaces the deprecated call to
avcodec_decode_video2 by calls to avcodec_send_packet and
avcodec_receive_frame.

Note that this is hack is really ugly, because the API really isn't
meant to be used this way (the assumption is that each call to
avcodec_send_packet will produce at most one new frame) and also
the error handling and probably other cases are not handled correctly.

However, MP4 videos seem to play fine for me.
   2017-11-16 17:49:40 by Patrick Welche | Files touched by this commit (2) | Package updated
Log message:
Update gst-plugins1-libav to 1.12.3

Bugs fixed in this release
- 784735 : gst-libav: Memory leak and possible crash in avio_alloc_context.

XXX Unfortunately https://trac.ffmpeg.org/ticket/6775 stands.
(ffmpeg 3.4 regression)
   2017-09-12 16:03:09 by Thomas Klausner | Files touched by this commit (3) | Package updated
Log message:
gst-plugins1-libav: update to 1.12.2.

To match gstreamer1-1.12.2 update committed a short while ago.  No
separate changes file found.
   2017-08-16 22:21:18 by Thomas Klausner | Files touched by this commit (180)
Log message:
Follow some http redirects.
   2017-03-16 15:35:23 by Thomas Klausner | Files touched by this commit (10) | Package updated
Log message:
Update gstreamer1 and its plugins to 1.10.4.

### 1.10.4

The third 1.10 bug-fix release (1.10.4) was released on 23 February 2017.
This release only contains bugfixes and it should be safe to update from 1.10.x.

#### Major bugfixes in 1.10.4

 - Various fixes for crashes, assertions, deadlocks and memory leaks on fuzzed
   input files and in other situations (CVE-2017-5847, CVE-2017-5848)
 - More regression fixes for souphttpsrc redirection tracking
 - Regression fix for gmodule on 32 bit Android, which was introduced as part
   of the 64 bit Android fix in 1.10.3 and broke the androidmedia plugin
 - Various bugfixes for regressions and other problems in the V4L2 plugin
 - Fix for 5.1, 6.1 and 7.1 channel layouts for Vorbis
 - Fixes for timestamp generation of Android video encoder element
 - gst-libav was updated to ffmpeg 3.2.4, fixing a couple of CVEs
 - ... and many, many more!
   2017-02-24 22:54:52 by Maya Rashish | Files touched by this commit (18)
Log message:
revbump for ffmpeg3 buildlink3.mk addition of vaapi and vdpau.

It creates a noticeable change at least for mpv, which now
doesn't complain about --vo=vaapi or --vo=vdpau.
   2017-02-03 16:34:29 by Maya Rashish | Files touched by this commit (2) | Package updated
Log message:
gst-plugins1-libav: update to 1.10.3
   2017-01-17 00:45:17 by Thomas Klausner | Files touched by this commit (103)
Log message:
Recursive bump for libvpx shlib major change.